###############################################################
# PVT Demo, Group2 AB set to do PVT ###########################
###############################################################

set TimeOut		100
set Group		"AB"
set Positioner1		"AB.A"
set Positioner2		"AB.B"
set ExecutionNumber	1

# Open a socket and enable use of XPS APIs from TCL
set code [catch "OpenConnection $TimeOut socketID"]
if {$code == 0} {
# Disable Backlash on positioner level for PVT
		set code [catch "PositionerBacklashDisable $socketID $Positioner1"]
		set code [catch "PositionerBacklashDisable $socketID $Positioner2"]
		if {$code == 0} {
# Test PVT motion segments
			set code [catch "MultipleAxesPVTVerification $socketID $Group PVTAB.txt"]
				if {$code == 0} {
# Set PVT Mode 
						set code [catch "MultipleAxesPVTExecution $socketID $Group PVTAB.txt $ExecutionNumber"]
						if {$code != 0} {
                  					puts stdout "MultipleAxesPVTExecution mode failed => error = $code"
						}
				} else {
					puts stdout "MultipleAxesPVTVerification failed => error = $code"
				}
			} else {
			puts stdout "PositionerBacklashDisable failed => error = $code"
			}
# close socket
set code [catch "TCP_CloseSocket $socketID"]
	if {$code != 0} {
			puts stdout "TCP_CloseSocket => $code  ID = $socketID"
	}
	} else {
        puts stdout "OpenConnection failed => error = $code"
}


